/*
 * Sieve of Eratosthenes to compute pi(N)
 */
#include <stdio.h>
#include <stdlib.h>

#define N	10000

bool sieve[N];

int main () {
	for (int i=2; i<N; i++) sieve[i] = true;
	for (int j=2; j<N/2; j++) {
		for (int k=2*j; k<N; k+=j)
			sieve[k] = false;
	}
	int pi = 0;
	for (int i=2; i<N; i++) if (sieve[i]) pi++;
	printf ("%d prime numbers between 2 and %d\n", pi, N);
	exit (0);
}
